#include "halley.h"
#include "ggjgame.h"

int main(int argc, char* argv[]) {
	Halley::StringArray args;
	for (int i=0; i<argc; i++) args.push_back(argv[i]);
	Halley::Game::SetInstance(Halley::spGame(new GGJGame()));
	Halley::Game::GetInstance()->Start(args);
	Halley::Game::SetInstance(Halley::spGame());
	return 0;
}


#ifdef _MSC_VER

#ifdef _DEBUG
	#pragma comment(lib,"SDL_d.lib")
	#pragma comment(lib,"SDLmain_d.lib")
	#pragma comment(lib,"SDL_image_d.lib")
	#pragma comment(lib,"SDL_mixer_d.lib")
#else
	#pragma comment(lib,"SDL.lib")
	#pragma comment(lib,"SDLmain.lib")
	#pragma comment(lib,"SDL_image.lib")
	#pragma comment(lib,"SDL_mixer.lib")
#endif

	#pragma comment(lib,"OpenGL32.lib")
	#pragma comment(lib,"comctl32.lib")
	#pragma comment(lib,"rpcrt4.lib")
	#pragma comment(lib,"winmm.lib")
	#pragma comment(lib,"advapi32.lib")
	#pragma comment(lib,"wsock32.lib")

#endif
